@import "style.css";

/* HEADER */

.header {
    width: 100%;
    padding: 30px 120px 0;
}

.header__nav {
    background: rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(5px);
    -webkit-backdrop-filter: blur(5px);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    border-radius: 50px;

    display: flex;
    justify-content: space-between;
    align-items: center;

    padding: 28px 50px;

    max-height: 100px;
}

.header__logo img {
    width: 120px;
    max-width: 100%;
    height: 60px;
    max-height: 100%;
}

.nav-menu {
    display: flex;
    gap: 16px;
}

.nav-menu li {
    list-style: none;
}

.nav-menu li a {
    text-decoration: none;
    text-transform: uppercase;
    color: var(--white);
    font-weight: 300;
    position: relative;
}

.nav-menu li a::after {
    content: '';
    position: absolute;
    height: 1px;
    left: 0;
    bottom: -5px;
    width: 0%;
    background-color: var(--white);
    transition: width .4s ease;
}

.nav-menu li a:hover::after {
    width: 100%;
    background-color: var(--white);
}

.scroll {
    padding-bottom: 0.7rem;
    background: var(--dark-blue);
    transition: background-color 0.6s ease;
}

.bars {
    color: var(--white);
    display: none;
}

@media (max-width: 950px) {
    .header {
        padding: 20px 50px 0;
    }
    .header__logo img {
        width: 100px;
        height: 50px;
    }
    .bars {
        display: flex;
        justify-content: center;
        align-items: center;
        width: 50px;
        height: 50px;
        color: var(--white);
        cursor: pointer;
    }
    .bars i {
        font-size: var(--font-base);
    }
    nav {
        position: relative;
    }
    .header__nav {
        margin: 0;
    }
    .nav-menu {
        position: absolute;
        top: 100%;
        left: 0;
        width: 100%;
        height: 100vh;
        flex-direction: column;
        align-items: flex-end;
        padding: 2rem 5rem;
        z-index: 999;
        background: var(--white);
        border: 1px solid rgba(131, 131, 131, 0.5);
        transition: opacity 0.3s ease, visibility 0.3s ease;
        visibility: hidden;
        opacity: 0;
    }
    .show_menu {
        visibility: visible;
        opacity: 1;
    }
    .header__nav li a {
        color: var(--preto);
    }
}

@media (max-width: 450px) {
    .header {
        padding: 0;
    }
    .header__logo img {
        width: 90px;
        height: 50px;
    }
    .header__nav {
        border-radius: 0;
        padding: 28px 30px;
    }
}
